{% extends "base.html.twig" %}
{% block topbar %}
    {{ parent() }}
    {% embed "topbar/topbar2.html.twig"%}
        {% block topbar2 %}
            <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
                    Mails
                    <span class="caret"></span></a>
                <ul class="dropdown-menu" role="menu">
                    <li><a href="{{ base_url }}/sinistre_c/nouveau_sinistre">Nouveau sinistre</a></li>
                </ul>
            </li>
            <LI><a href="{{base_url}}/sinistre_c/nouveau_sinistre">Courriers</a></li>
            <LI><a href="{{base_url}}/sinistre_c/nouveau_sinistre">Documents</a></li>
            <LI><a href="{{base_url}}/sinistre_c/nouveau_sinistre">Interne</a></li>
            <LI><a href="{{base_url}}/sinistre_c/nouveau_sinistre">Editions</a></li>
            {% endblock %}
        {% endembed %}
    {% endblock %}
    {% block body %}
    <div class='container-fluid'>
        <div class="col-md-12">
            <h3 style="margin-bottom: 10px">Fiche sinistre n°{{ context.sinistre.num_chrono}} - Statut actuel : 
                {% if context.sinistre.statut == 1 %}DO standard{% endif %}
                {% if context.sinistre.statut == 2 %}DO AV1{% endif %}
                {% if context.sinistre.statut == 3 %}Judiciaire{% endif %}
                {% if context.sinistre.statut == 4 %}Autre{% endif %}				
                {% if context.sinistre.statut == 5 %}Référé préventif{% endif %}
                {% if context.sinistre.flag_sinistre_desactive == 2 %}
                    <span class="label label-warning" style="min-height: 30px !important; font-size: 10pt">Sinistre clos</span>
                    <button id='btn_infos_cloture' class="btn btn-primary btn-sm"><span class="glyphicon glyphicon-eye-open"></span> Voir infos clôture</button>
                {% endif %}

                {% if context.user.role == 10 or context.user.role == 8 %} <span class="pull-right"><button id='btn_supprimer_sinistre' class="btn btn-sm btn-gaia" type='button' id_sinistre="{{ context.sinistre.id}}">Supprimer le sinistre</button></span>{% endif %}
                {% if context.user.role >= 3 %}
                    {% if context.sinistre.flag_sinistre_desactive == 2 %}
                        <span class="pull-right" style="margin-right: 10px"><button id='btn_annuler_cloture_sinistre' class="btn btn-sm btn-gaia" type='button' id_sinistre="{{ context.sinistre.id}}">Annuler clôture</button></span>
                    {% endif %}
                    {% if context.sinistre.flag_sinistre_desactive == 0%}
                        <span class="pull-right" style="margin-right: 10px"><button id='btn_cloturer_sinistre' class="btn btn-sm btn-gaia" type='button' data-toggle="modal" data-target="#modal_cloturer"  id_sinistre="{{ context.sinistre.id}}">Clôturer le sinistre</button></span> 
                    {% endif %}
                {% endif %}
            </h3>
        </div>
        <div class="col-md-12">
            <fieldset>
                <legend>Informations sur le sinistre QC</legend>
                <form class='form-inline col-md-12' method='POST' {% if not new %}action='{{ base_url }}/sinistre_c/edit'{%endif%}>
                    {% if context.sinistre.statut != 5 %} {# pas RP #}
                        <div class="separator-20">&nbsp;</div>
                        <div class="col-md-12">
                            <div class="col-md-2 col-sm-3">Description sinistre ASQUA</div>
                            <div class="col-md-10 col-sm-9">
                                {{context.sinistre.description}}  {% if not context.sinistre.description  %}<i style="color: gray">En attente des données d'asqua</i>{% endif %}
                            </div>
                        </div>
                        <div class="separator-20">&nbsp;</div>
                        <div class="col-md-12">
                            <div class="col-md-2 col-sm-3">Description sinistre QC</div>
                            <div class="col-md-10 col-sm-9">
                                <textarea rows="3" class="form-control" style="width: 100%" name="description_qc">{{context.sinistre.description_qc}}</textarea>
                            </div>
                        </div>
                        <div class="separator-20">&nbsp;</div>
                    {% endif %}
                    <div class='col-md-12' style="margin-bottom: 10px">
                        <div class='col-md-2 col-sm-3'>Ref ASQUA</div>
                        <div class="col-md-4 col-sm-3" id='div_ref_asqua'>
                            {{ context.sinistre.ref_asqua }}{% if not context.sinistre.ref_asqua  %}<i style="color: gray">En attente des données d'asqua </i>{% endif %}{% if context.user.role == 8 or context.user.role == 10 %} <button id='btn-ref-asqua' class="btn btn-xs btn-gaia" style="margin-left: 15px">{% if not context.sinistre.ref_asqua  %}Réf asqua connue{% else %}Changer la réf Asqua{% endif %}</button>{% endif %}
                            {% if context.sinistre.ref_asqua is not null and context.sinistre.date_derniere_synchro is not null and context.sinistre.date_derniere_vue_asqua < date("yesterday") %}
                                <span style="color: red; font-size: 0.8em">
                                    Attention, le sinistre n'a pas été trouvé dans la base Asqua depuis plus de 48h, il est possible que la réf Asqua ait changée, voyez avec la DJ pour la mettre à jour.
                                </span>
                            {% endif %}
                        </div>
                        <div class='col-md-offset-1 col-md-1 col-sm-2 col-sm-offset-1'>Assureur</div>
                        <div class="col-md-4 col-sm-3">
                            {{ context.sinistre.assureur }} {% if not context.sinistre.assureur  %}<i style="color: gray">En attente des données d'asqua</i>{% endif %}
                        </div>
                    </div>
                    {% if context.sinistre.statut != 5 %} {# pas RP #}
                        <div class='col-md-12'  style="margin-bottom: 10px">
                            <div class='col-md-2 col-sm-3'>Statut initial</div>
                            <div class="col-md-4 col-sm-3">
                                {% if context.sinistre.statut_initial == 1 %}DO{% endif %}
                                {% if context.sinistre.statut_initial == 2 %}AV1{% endif %}
                                {% if context.sinistre.statut_initial == 3 %}Judiciaire{% endif %}
                                {% if context.sinistre.statut_initial == 4 %}Autre{% endif %}
                            </div>
                            <div class='col-md-offset-1 col-md-1  col-sm-2 col-sm-offset-1'>DROC</div>
                            <div class="col-md-4 col-sm-3">
                                {% if context.sinistre.droc %}{{ context.sinistre.droc|date('d/m/Y') }}  {% else  %}<i style="color: gray">En attente des données d'asqua</i>{% endif %}
                            </div>
                        </div>
                    {% endif %}
                    <div class='col-md-12'  style="margin-bottom: 10px">
                        <div class='col-md-2  col-sm-4 col-xs-6'>Date {% if context.sinistre.statut != 5 %}de déclaration du sinistre{% else %}du référé{% endif %}</div>
                        <div class="col-md-4 col-sm-8">
                            <input class='col-md-12 col-sm-8 col-xs-6 form-control' {% if not context.edit %}readonly{% endif %} required name="date_declaration" type='date' {% if not new %}value='{{ context.sinistre.date_declaration|date('Y-m-d') }}'{% endif %}>
                        </div>
                        {% if context.sinistre.statut != 5 %}
                            <div class='col-md-offset-1 col-md-1 col-sm-4 col-xs-6'>Date reception ouvrage</div>
                            <div class="col-md-4 col-sm-8">
                                <input class='col-md-1 col-sm-8 col-xs-6 form-control' {% if not context.edit %}readonly{% endif %} required name="date_reception" type='date' {% if not new and context.sinistre.date_reception_ouvrage is not null %}value='{{ context.sinistre.date_reception_ouvrage|date('Y-m-d') }}'{% else %} value = ""{% endif %}>
                            </div>
                        {% endif %}
                    </div>
                    <div class="form-group col-md-12">
                        <div class="col-md-2 col-sm-4 col-xs-12">Adresse</div>
                        <div class="col-md-10 col-xs-12 col-sm-8" style="padding: 0; margin: 0">
                            {% if not new %}
                                {% include 'global/forms/form_adresse.html.twig' with { 'adresse' : context.sinistre.adresse, 'required' : true, 'edit' : context.edit } %}
                            {% else %}
                                {% include 'global/forms/form_adresse.html.twig' with { 'required' : true, 'adresse' : context.affaire.adresse, 'edit' : context.edit } %}
                            {% endif %}
                        </div>
                    </div>
                    {% if context.sinistre.statut != 5 %} {# pas RP #}
                        <div class='col-md-12'>
                            <div class='col-md-2 col-sm-4 col-xs-4'>Responsabilité</div>
                            <div class="col-md-10">
                                <input style="max-width:15px" type='checkbox' name='RC' value='RC' {% if not context.edit %}disabled{% endif %} {% if context.sinistre.rc %}checked{% endif %}> RC  &nbsp;&nbsp;&nbsp;&nbsp;
                                <input style="max-width:15px" type='checkbox' name='RCD' value='RCD' {% if not context.edit %}disabled{% endif %} {% if context.sinistre.rcd %}checked{% endif %}> RCD
                            </div>
                        </div>
                    {% endif %}
                    {% if context.edit %}<button type='submit' class='btn btn-gaia pull-right'>Enregistrer</button>{% endif %}

                </form>
            </fieldset>
        </div>
    </div>
</fieldset>
<div class="container-fluid" style="margin-top: 15px; margin-bottom: 20px;">
    <div class="col-md-12">
        <ul class="nav nav-tabs">
            {% if context.sinistre.do %}
                <li role="presentation" {% if context.statut == "DO" %} class="active"{%endif%}><a href="{{ base_url }}/statuts/do/fiche_do">DO</a></li>
                {% endif %}
                {% if context.sinistre.av1 %}
                <li role="presentation" {% if context.statut == "AV1" %} class="active"{%endif%}><a href="{{ base_url }}/statuts/av1/fiche_av1">AV1</a></li>
                {% endif %}
                {% if context.sinistre.judiciaire %}
                <li role="presentation" {% if context.statut == "judiciaire" %} class="active"{%endif%}><a href="{{ base_url }}/statuts/judiciaire/fiche_jud">Judiciaire</a></li>
                {% endif %}
                {% if context.sinistre.amiable %}
                <li role="presentation" {% if context.statut == "amiable" %} class="active"{%endif%}><a href="{{ base_url }}/statuts/amiable/fiche_amiable">Autre</a></li>
                {% endif %}
        </ul>
        <div class="list-group-item" style='border-top: none'>
            <br>
            {% block statut %}
            {% endblock %}
        </div>
    </div>
</div>
<div class="modal fade" tabindex="-1" role="dialog" id="modal_cloturer">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">Cloturer le sinistre</h4>
            </div>
            <div class="modal-body">
                <div>
                    <p>Merci de renseigner la totalité de ces informations afin de cloturer le sinistre :</p>
                    <table id="table_cloturer">
                        <tr><td><b>Date de clôture du sinistre </b></td><td><input class="form-control" id="cloture_date" type="date" value="{{context.sinistre.sinistre_clos_date|date("Y-m-d")}}"></td></tr>
                        <tr><td><b>Coût du sinistre (€)</b></td><td><input class="form-control" type="number" id="cloture_cout" value="{{ context.sinistre.sinistre_clos_cout}}"></td></tr>
                        <tr><td><b>Part en valeur coût sinistre pour QC (€)</b></td><td><input class="form-control" type="number" id="cloture_cout_qc" value="{{ context.sinistre.sinistre_clos_cout_qc}}"></td></tr>
                        <tr><td><b>Mission concernée </b></td><td>
                                <select class="form-control" id="cloture_mission">
                                    <option></option>
                                    {% for mission in missions_cloture %}
                                        <option value="{{ mission}}" {{ (context.sinistre.sinistre_clos_mission == mission) ? "selected" }}>{{ mission }}</option>
                                    {% endfor %}
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td><b>Destination ouvrage </b></td>
                            <td>
                                <select class="form-control" id="cloture_destination">
                                    <option></option>
                                    <option value="hi"  {{ (context.sinistre.sinistre_clos_destination_ouvrage == "hi") ? "selected" }}>Habitation individuelle</option>
                                    <option value="hc"  {{ (context.sinistre.sinistre_clos_destination_ouvrage == "hc") ? "selected" }}>Habitation collective</option>
                                    <option value="la"  {{ (context.sinistre.sinistre_clos_destination_ouvrage == "la") ? "selected" }}>Locaux d'activité (ERP, tertiaire …)</option>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td><b>Partie ouvrage </b></td>
                            <td>
                                <select class="form-control" id="cloture_partie_ouvrage">
                                    <option></option>
                                    <option value="fondations" {{context.sinistre.sinistre_clos_partie_ouvrage == "fondations" ? "selected" }}>Fondations</option>
                                    <option value="structure_charpente" {{context.sinistre.sinistre_clos_partie_ouvrage == "structure_charpente" ? "selected" }}>Structure dont charpente</option>
                                    <option value="couverture_etancheite" {{context.sinistre.sinistre_clos_partie_ouvrage == "couverture_etancheite" ? "selected" }}>Couverture et étanchéité</option>
                                    <option value="facades" {{context.sinistre.sinistre_clos_partie_ouvrage == "facades" ? "selected" }}>Façades</option>
                                    <option value="menuiseries" {{context.sinistre.sinistre_clos_partie_ouvrage == "menuiseries" ? "selected" }}>Menuiseries extérieures dont façade rideau</option>
                                    <option value="partitions" {{context.sinistre.sinistre_clos_partie_ouvrage == "partitions" ? "selected" }}>Partitions et revêtements intérieurs</option>
                                    <option value="equipements" {{context.sinistre.sinistre_clos_partie_ouvrage == "equipements" ? "selected" }}>Equipements et installations</option>
                                    <option value="vrd" {{context.sinistre.sinistre_clos_partie_ouvrage == "vrd" ? "selected" }}>VRD</option>
                                    <option value="autres" {{context.sinistre.sinistre_clos_partie_ouvrage == "autres" ? "selected" }}>Autres</option>
                                </select>
                            </td>
                        </tr>
                        <tr><td><b>Phase concernée </b></td><td>
                                <select class="form-control" id="cloture_phase">
                                    <option></option>
                                    <option value="conception" {{context.sinistre.sinistre_clos_phase_concernee == "conception" ? "selected" }}>Conception</option>
                                    <option value="execution" {{context.sinistre.sinistre_clos_phase_concernee == "execution" ? "selected" }}>Exécution</option>
                                    <option value="incident" {{context.sinistre.sinistre_clos_phase_concernee == "incident" ? "selected" }}>Incident de chantier</option>
                                    <option value="materiau" {{context.sinistre.sinistre_clos_phase_concernee == "materiau" ? "selected" }}>Matériau ou Vice de matériau</option>
                                    <option value="exploitation" {{context.sinistre.sinistre_clos_phase_concernee == "exploitation" ? "selected" }}>Exploitation et maintenance</option>
                                    <option value="autres" {{context.sinistre.sinistre_clos_phase_concernee == "autres" ? "selected" }}>Autres</option>
                                </select>
                            </td></tr>
                        </tr>
                    </table>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Annuler</button>
                <button type="button" class="btn btn-primary" id="btn_cloturer_confirm" disabled title="Merci de renseigner toutes les informations afin de pouvoir clôturer le sinistre">Enregistrer</button>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<style>
    #table_cloturer tr td {
        padding: 2px 0px !important;
    }
    #table_cloturer {
        width: 100%;
    }
</style>
<script src="{{ assetsdir }}/js/dropdown_choix_multiple.js"></script>
<script>
    $(document).ready(function () {
        $('#btn-ref-asqua').click(function () {
            $('#div_ref_asqua').empty().append("<input class='form-control' name='ref_asqua'>");
        });

        $('#btn_supprimer_sinistre').click(function () {
            if (confirm("Confirmez-vous la suppression du sinistre?")) {
                var id_sinistre = $(this).attr("id_sinistre");
                $.get(AJAXPATH + "/sinistre_c/desactiver/" + id_sinistre, function () {
                    location.href = AJAXPATH + "/affaire_c/index/";
                });
            }
        });

        $(document).on("click", "#btn_cloturer_confirm", function () {

            var data = {};
            data.date_cloture = $('#cloture_date').val();
            data.cout = $('#cloture_cout').val();
            data.cout_qc = $('#cloture_cout_qc').val();
            data.mission = $('#cloture_mission').val();
            data.destination = $('#cloture_destination').val();
            data.partie_ouvrage = $('#cloture_partie_ouvrage').val();
            data.phase = $('#cloture_phase').val();
            
            if (parseInt(data.cout_qc) > parseInt(data.cout)) {
                alert("Erreur, la part qualiconsult ne peux être supérieure au cout total du sinistre");
                return;
            }

            var id_sinistre = $('#btn_cloturer_sinistre').attr("id_sinistre");

            $.post(AJAXPATH + "/sinistre_c/cloturer_sinistre/" + id_sinistre, data, function (r) {
                location.reload();
            });

        });
        $('#table_cloturer input, #table_cloturer select').change(function () {
            checkFormCloturer();
        });

        function checkFormCloturer() {
            var allvalid = true;
            $('#table_cloturer input, #table_cloturer select').toArray().forEach(function (elem) {
                if ($(elem).val() == "") {
                    allvalid = false;
                }
            });
            if (allvalid != false) {
                $('#btn_cloturer_confirm').attr("disabled", false);
                $('#btn_cloturer_confirm').attr("title", "");
            } else {
                $('#btn_cloturer_confirm').attr("disabled", true);
                $('#btn_cloturer_confirm').attr("title", "Merci de renseigner toutes les informations afin de pouvoir clôturer le sinistre");
            }
        }

        $('#btn_cloturer_sinistre').click(function () {
            $('#modal_cloturer .modal-footer').show();
            checkFormCloturer();
        });

        $(document).on("click", "#btn_annuler_cloture_sinistre", function () {
            var id_sinistre = $('#btn_annuler_cloture_sinistre').attr("id_sinistre");
            $.get(AJAXPATH + "/sinistre_c/annuler_cloture/" + id_sinistre, function () {
                location.reload();
            });
        });

        $('#btn_infos_cloture').click(function () {
            $('#modal_cloturer .modal-footer').hide();
            $('#modal_cloturer input, #modal_cloturer select').attr("readonly", true);
            $('#modal_cloturer').modal();
        });
    });
</script>
{% endblock %}